#ifndef BAPIWCOM_H

#define BAPIWCOM_H

#ifdef __cplusplus
extern "C"
{
#endif /* __cplusplus */

extern RwBool
_rpWorldPipeAttach(void);

extern RwBool
_rpPipeSetupAtomPipe(RwRenderPipeline *pipe);

extern RwBool
_rpPipeSetupSectPipe(RwRenderPipeline *pipe);

extern void
_rpPipeSetupLightApply(RpLight *light);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#define rpPipeSetupAtomPipe(_pipe) \
    _rpPipeSetupAtomPipe(_pipe)

#define rpPipeSetupSectPipe(_pipe) \
    _rpPipeSetupSectPipe(_pipe)

#define rpPipeSetupLightApply(_light) \
    _rpPipeSetupLightApply(_light)

#endif /* BAPIPEW_H */
